<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2005 Coppermine Dev Team
  v1.1 originaly written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Coppermine version: 1.4.2
  $Revision: 1.101 $
  $Author: Casper/Madeinhawaii $
  $Date: 2005/10/24 03:11:38 $
**********************************************/

define('IN_COPPERMINE', true);
define('ECOMMERCE_PHP', true);
define('DISPLAYIMAGE_PHP', false);
define('INDEX_PHP', true);
//define('SMILIES_PHP', true);

require('include/init.inc.php');

if (!USER_ID && $CONFIG['allow_unlogged_access'] == 0) {
    $redirect = $redirect . "login.php";
    header("Location: $redirect");
    exit();
}
$ecart = "on";
if($CONFIG['read_exif_data'] ){
        include("include/exif_php.inc.php");
}
if($CONFIG['read_iptc_data'] ){
        include("include/iptc.inc.php");
}
# Sanitize the data - to fix the XSS vulnerability - Aditya
function sanitize_data(&$value, $key)
{
	if (is_array($value)) {
		array_walk($value, 'sanitize_data');
	} else {
		# sanitize against sql/html injection; trim any nongraphical non-ASCII character:
		$value = trim(htmlentities(strip_tags(trim($value,"\x7f..\xff\x0..\x1f")),ENT_QUOTES));
	}
}
function html_picture_menu()
{
    global $lang_display_image_php, $CURRENT_PIC_DATA, $CURRENT_ALBUM_DATA, $CONFIG;

    $mime_content = cpg_get_type($CURRENT_PIC_DATA['filename']);
    $picmenu = '';


  if (false) { //(!($mime_content['content']=='image')) {
    $picmenu = <<<EOT
     <a href="#" onclick="return MM_openBrWindow('setplayer.php?={$mime_content['extension']}','Set_Player','scrollbars=no,toolbar=no,status=no,resizable=no')" class="admin_menu" >{$lang_display_image_php['set_player']}</a>
EOT;
  }

  if ((USER_ADMIN_MODE && $CURRENT_ALBUM_DATA['category'] == FIRST_USER_CAT + USER_ID) || ($CONFIG['users_can_edit_pics'] && $CURRENT_PIC_DATA['owner_id'] == USER_ID && USER_ID != 0) || GALLERY_ADMIN_MODE) {
    $picmenu .= <<<EOT
     <a href="javascript:;" onclick="return MM_openBrWindow('picEditor.php?id={$CURRENT_PIC_DATA['pid']}','Crop_Picture','scrollbars=yes,toolbar=no,status=yes,resizable=yes')" class="admin_menu" >{$lang_display_image_php['crop_pic']}</a> <a href="editOnePic.php?id={$CURRENT_PIC_DATA['pid']}&amp;what=picture"  class="admin_menu">{$lang_display_image_php['edit_pic']}</a> <a href="delete.php?id={$CURRENT_PIC_DATA['pid']}&amp;what=picture"  class="admin_menu" onclick="return confirm('{$lang_display_image_php['confirm_del']}'); return false; ">{$lang_display_image_php['del_pic']}</a>
EOT;
  }

  return $picmenu;
}

$pos = isset($_GET['pos']) ? (int)$_GET['pos'] : 0;
$pid = isset($_GET['pid']) ? (int)$_GET['pid'] : 0;
$cat = isset($_GET['cat']) ? (int)$_GET['cat'] : 0;
$album = isset($_GET['album']) ? $_GET['album'] : '';
$album2 = isset($_GET['album']) ? $_GET['album'] : '';
get_meta_album_set($cat,$ALBUM_SET);
$META_ALBUM_SET = $ALBUM_SET;

// Retrieve data for the current picture
if ($pos < 0 || $pid > 0) {
    $pid = ($pos < 0) ? -$pos : $pid;
    $result = cpg_db_query("SELECT aid from {$CONFIG['TABLE_PICTURES']} WHERE pid='$pid' $ALBUM_SET LIMIT 1");
    if (mysql_num_rows($result) == 0) cpg_die(ERROR, $lang_errors['non_exist_ap'], __FILE__, __LINE__);
    $row = mysql_fetch_array($result);
    $album = $row['aid'];
    $pic_data = get_pic_data($album, $pic_count, $album_name, -1, -1, false);
    for($pos = 0; $pic_data[$pos]['pid'] != $pid && $pos < $pic_count; $pos++);
    $pic_data = get_pic_data($album, $pic_count, $album_name, $pos, 1, false);
    $CURRENT_PIC_DATA = $pic_data[0];


} elseif (isset($_GET['pos'])) {
    $pic_data = get_pic_data($album, $pic_count, $album_name, $pos, 1, false);
    if ($pic_count == 0) {
        cpg_die(INFORMATION, $lang_errors['no_img_to_display'], __FILE__, __LINE__);
    } elseif (count($pic_data) == 0 && $pos >= $pic_count) {
        $pos = $pic_count - 1;
        $human_pos = $pos + 1;
        $pic_data = get_pic_data($album, $pic_count, $album_name, $pos, 1, false);
    }
    $CURRENT_PIC_DATA = $pic_data[0];
}

// Retrieve data for the current album
if (isset($CURRENT_PIC_DATA)) {
    $result = cpg_db_query("SELECT title, category, aid FROM {$CONFIG['TABLE_ALBUMS']} WHERE aid='{$CURRENT_PIC_DATA['aid']}' LIMIT 1");
    if (!mysql_num_rows($result)) cpg_die(CRITICAL_ERROR, sprintf($lang_errors['pic_in_invalid_album'], $CURRENT_PIC_DATA['aid']), __FILE__, __LINE__);
    $CURRENT_ALBUM_DATA = mysql_fetch_array($result);

    if (is_numeric($album)) {
        $cat = - $album;
        $actual_cat = $CURRENT_ALBUM_DATA['category'];
        breadcrumb($actual_cat, $breadcrumb, $breadcrumb_text);
        $cat = - $album;
    } else {
        $actual_cat = $CURRENT_ALBUM_DATA['category'];
        breadcrumb($actual_cat, $breadcrumb, $breadcrumb_text);
    }
}

if (isset($_GET['fullsize'])) {
    theme_display_fullsize_pic();
    ob_end_flush();
} elseif (isset($_GET['slideshow'])) {
    theme_slideshow();
    ob_end_flush();
} else {
    if (!isset($_GET['pos'])) cpg_die(ERROR, $lang_errors['non_exist_ap'], __FILE__, __LINE__);
    $picture_title = $CURRENT_PIC_DATA['title'] ? $CURRENT_PIC_DATA['title'] : strtr(preg_replace("/(.+)\..*?\Z/", "\\1", htmlspecialchars($CURRENT_PIC_DATA['filename'])), "_", " ");
    $nav_menu = theme_html_img_nav_menu();
    $picture = theme_html_picture();
     pageheader($picture_title);
    // Display Breadcrumbs
    if ($breadcrumb && !(strpos($CONFIG['main_page_layout'],"breadcrumb")===false)) {
        theme_display_breadcrumb($breadcrumb, $cat_data);
    }

    CPGPluginAPI::filter('post_breadcrumb',null);
    theme_display_image($nav_menu, $picture );

//BEGIN Paypal Mod

// Get picture thumbnail url
$pid = $CURRENT_PIC_DATA['pid'];
// Get picture url and some constants to use with this form
$result = cpg_db_query("SELECT * from {$CONFIG['TABLE_PICTURES']} WHERE pid='$pid' $ALBUM_SET");
if (!mysql_num_rows($result)) cpg_die(ERROR, $lang_errors['non_exist_ap'], __FILE__, __LINE__);
 $row = mysql_fetch_array($result);
   $pic_url = get_pic_url($row, 'fullsize');      // url to fullsize picture
   $pic_normal_url = get_pic_url($row, 'normal'); // url to intermediate sized picture
   $pic_thumb_url = get_pic_url($row, 'thumb');   // url to thumbnail
   $pic_title = $row['title'];   // file title
   $caption = $row['caption'];   // file caption
   $pic_id   = $row['filename']; // filename
   $aid = $row['aid'];     // album #
   $pwidth = $row['pwidth'];     // width of fullsize image
   $pheight = $row['pheight'];   // height of fullsize image
   $set_item = $row['title'];    // we will use this in our product descriptions.
   $user1 = $row['user1'];
   $user2 = $row['user2'] ;
   $user3 = $row['user3'];
   $user4 = $row['user4'];
   $keywords = $row['keywords'];


$result = cpg_db_query("SELECT * from {$CONFIG['TABLE_ALBUMS']} WHERE aid='$aid' $ALBUM_SET");
if (!mysql_num_rows($result)) cpg_die(ERROR, $lang_errors['non_exist_ap'], __FILE__, __LINE__);
   $row = mysql_fetch_array($result);
   $album=  $row['title'];

// Set paypal ID and currency type
   $paypal_ID = "madeinhawaii@hawaii.rr.com";
   $currency_code = "USD";

// Set custom image description field to be used for setting price (Default is the first field or $user1, other options are $user2,$user3,and $user4).
   $pricing_setup = $user1;

// Set dropdown list options. EDIT these pairs to set your price and descriptions accordingly.
// IF/Else Set Pricing Block
if ($pricing_setup=="Panoramics"||$pricing_setup=="panoramics")  //custom field entry is "Panoramics"
   {
   $Option1    = " Matted size: 10\" x 20\" (image size: 6\" x 16\") @35.00 ";
   $Desc1      = "  10\" x 20\" @ $&nbsp; 35.00 USD&nbsp;( image size: 6\" x 16\") " ;
   $Option2    = " Matted size: 14\" x 28\" (image size: 9\" x 23\") @95.00 ";
   $Desc2      = "  14\" x 28\" @ $&nbsp; 95.00 USD&nbsp;( image size: 9\" x 23\") ";
   $Option3    = " Matted size: 16\" x 32\" (image size: 11\" x 27\") @125.00 ";
   $Desc3      = "  16\" x 32\" @ $125.00 USD&nbsp;( image size: 11\" x 27\") ";
   $Option4    = " Matted size: 18\" x 36\" (image size: 12\" x 30\") @135.00 ";
   $Desc4      = "  18\" x 36\" @ $135.00 USD&nbsp;( image size: 12\" x 30\")";
   $Option5    = " Matted size: 20\" x 40\" (image size: 13\" x 33\") @150.00 ";
   $Desc5      = "  20\" x 40\" @ $150.00 USD&nbsp;( image size: 13\" x 33\")";
   $Option6    = "";
   $Desc6      = "";
   $Option7    = "";
   $Desc7      = "";
   $Option8    = "";
   $Desc8      = "";
   $Option9    = "";
   $Desc9      = "";
   $Option10   = "";
   $Desc10     = "";
   }
   else

// 2nd option or "Squares"
if ($pricing_setup=="Squares"||$pricing_setup=="squares")    //custom field entry is "Squares"
   {
   $Option1    = " Matted size: 8\" x 8\" (image size: 6\" x 6\") @15.00 ";
   $Desc1      = "  &nbsp; 8\" x 8\" @ $15.00 USD&nbsp;( image size: 6\" x 6\") " ;
   $Option2    = " Matted size: 10\" x 10\" (image size: 8\" x 8\") @30.00 ";
   $Desc2      = "  10\" x 10\" @ $30.00 USD&nbsp;( image size: 8\" x 8\") ";
   $Option3    = " Matted size: 12\" x 12\" (image size: 9\" x 9\") @40.00 ";
   $Desc3      = "  12\" x 12\" @ $40.00 USD&nbsp;( image size: 9\" x 9\") ";
   $Option4    = " Matted size: 14\" x 14\" (image size: 11\" x 11\") @60.00 ";
   $Desc4      = "  14\" x 14\" @ $60.00 USD&nbsp;( image size: 11\" x 11\")";
   $Option5    = " Matted size: 16\" x 16\" (image size: 12\" x 12\") @75.00 ";
   $Desc5      = "  16\" x 16\" @ $75.00 USD&nbsp;( image size: 12\" x 12\")";
   $Option6    = " Matted size: 18\" x 18\" (image size: 13\" x 13\") @90.00 ";
   $Desc6      = "  18\" x 18\" @ $90.00 USD&nbsp;( image size: 13\" x 13\")";
   $Option7    = "";
   $Desc7      = "";
   $Option8    = "";
   $Desc8      = "";
   $Option9    = "";
   $Desc9      = "";
   $Option10   = "";
   $Desc10     = "";
   }
else
// third option or "Standards and empty fields"
if ($pricing_setup=="Standards"||$pricing_setup=="standards"||$user1=="")
   {
   $Option1    = " Matted size: 8\" x 10\" (image size: 5\" x 7\") @15.00 ";
   $Desc1      = "  &nbsp; 8\" x 10\" @ $15.00 USD&nbsp;( image size: 5\" x 7\") " ;
   $Option2    = " Matted size: 11\" x 14\" (image size: 6\" x 9\") @30.00 ";
   $Desc2      = "  11\" x 14\" @ $30.00 USD&nbsp;( image size: 6\" x 9\") ";
   $Option3    = " Matted size: 16\" x 20\" (image size: 11\" x 15\") @50.00 ";
   $Desc3      = "  16\" x 20\" @ $50.00 USD&nbsp;( image size: 11\" x 15\") ";
   $Option4    = " Matted size: 18\" x 24\" (image size: 13\" x 19\") @75.00 ";
   $Desc4      = "  18\" x 24\" @ $75.00 USD&nbsp;( image size: 13\" x 19\")";
   $Option5    = "  ";
   $Desc5      = "  ";
   $Option6    = "  ";
   $Desc6      = "  ";
   $Desc8      = "  ";
   $Option9    = "  ";
   $Desc9      = "  ";
   $Option10   = "  ";
   $Desc10     = "  ";
   }
else
// fall back when nothing matches, SAME AS STANDARDS.
   {
   $Option1    = " Matted size: 8\" x 10\" (image size: 5\" x 7\") @15.00 ";
   $Desc1      = "  &nbsp; 8\" x 10\" @ $15.00 USD&nbsp;( image size: 5\" x 7\") " ;
   $Option2    = " Matted size: 11\" x 14\" (image size: 6\" x 9\") @30.00 ";
   $Desc2      = "  11\" x 14\" @ $30.00 USD&nbsp;( image size: 6\" x 9\") ";
   $Option3    = " Matted size: 16\" x 20\" (image size: 11\" x 15\") @50.00 ";
   $Desc3      = "  16\" x 20\" @ $50.00 USD&nbsp;( image size: 11\" x 15\") ";
   $Option4    = " Matted size: 18\" x 24\" (image size: 13\" x 19\") @75.00 ";
   $Desc4      = "  18\" x 24\" @ $75.00 USD&nbsp;( image size: 13\" x 19\")";
   $Option5    = "  ";
   $Desc5      = "  ";
   $Option6    = "  ";
   $Desc6      = "  ";
   $Desc8      = "  ";
   $Option9    = "  ";
   $Desc9      = "  ";
   $Option10   = "  ";
   $Desc10     = "  ";
   }
 }

Print <<<EOT
<!--//Start JavaScript for Mod -->
<script type="text/javascript">
<!-- // Hide from Xhtml validators
function Dollar (val) {  // force to valid dollar amount
var str,pos,rnd=0;
  if (val < .995) rnd = 1;  // for old Netscape browsers
  str = escape (val*1.0 + 0.005001 + rnd);  // float, round, escape
  pos = str.indexOf (".");
  if (pos > 0) str = str.substring (rnd, pos + 3);
  return str;
}

var amt,des,obj,val,op1a,op1b,op2a,op2b,itmn;

function ChkTok (obj1) {
var j,tok,ary=new Array ();       // where we parse
  ary = val.split (" ");          // break apart
  for (j=0; j<ary.length; j++) {  // look at all items
// first we do single character tokens...
    if (ary[j].length < 2) continue;
    tok = ary[j].substring (0,1); // first character
    val = ary[j].substring (1);   // get data
    if (tok == "@") amt = val * 1.0;
    if (tok == "+") amt = amt + val*1.0;
    if (tok == "%") amt = amt + (amt * val/100.0);
    if (tok == "#") {             // record item number
      if (obj1.item_number) obj1.item_number.value = val;
      ary[j] = "";                // zap this array element
    }
// Now we do 3-character tokens...
    if (ary[j].length < 4) continue;
    tok = ary[j].substring (0,3); // first 3 chars
    val = ary[j].substring (3);   // get data
    if (tok == "s1=") {           // value for shipping
      if (obj1.shipping)  obj1.shipping.value  = val;
      ary[j] = "";                // clear it out
    }
    if (tok == "s2=") {           // value for shipping2
      if (obj1.shipping2) obj1.shipping2.value = val;
      ary[j] = "";                // clear it out
    }
  }
  val = ary.join (" ");           // rebuild val with what's left
}

function StorVal () {
var tag;
  tag = obj.name.substring (obj.name.length-2);  // get flag
  if      (tag == "1a") op1a = op1a + " " + val;
  else if (tag == "1b") op1b = op1b + " " + val;
  else if (tag == "2a") op2a = op2a + " " + val;
  else if (tag == "2b") op2b = op2b + " " + val;
  else if (tag == "3i") itmn = itmn + " " + val;
  else if (des.length == 0) des = val;
  else des = des + ", " + val;
}

function ReadForm (obj1, tst) { // Read the user form
var i,j,pos;
  amt=0;des="";op1a="";op1b="";op2a="";op2b="";itmn="";
  if (obj1.baseamt) amt  = obj1.baseamt.value*1.0;  // base amount
  if (obj1.basedes) des  = obj1.basedes.value;  // base description
  if (obj1.baseon0) op1a = obj1.baseon0.value;  // base options
  if (obj1.baseos0) op1b = obj1.baseos0.value;
  if (obj1.baseon1) op2a = obj1.baseon1.value;
  if (obj1.baseos1) op2b = obj1.baseos1.value;
  if (obj1.baseitn) itmn = obj1.baseitn.value;
  for (i=0; i<obj1.length; i++) {     // run entire form
    obj = obj1.elements[i];           // a form element
    if (obj.type == "select-one") {   // just selects
      if (obj.name == "quantity" ||
          obj.name == "amount") continue;
      pos = obj.selectedIndex;        // which option selected
      val = obj.options[pos].value;   // selected value
      ChkTok (obj1);                  // check for any specials

      if (obj.name == "on0" ||        // let this go where it wants
          obj.name == "os0" ||
          obj.name == "on1" ||
          obj.name == "os1") continue;

      StorVal ();

    } else
    if (obj.type == "checkbox" ||     // just get checkboxex
        obj.type == "radio") {        //  and radios
      if (obj.checked) {
        val = obj.value;              // the value of the selection
        ChkTok (obj1);
        StorVal ();
      }
    } else
    if (obj.type == "select-multiple") {  //one or more
      for (j=0; j<obj.options.length; j++) {  // run all options
        if (obj.options[j].selected) {
          val = obj.options[j].value; // selected value (default)
          ChkTok (obj1);
          StorVal ();
        }
      }
    } else
    if ((obj.type == "text" ||        // just read text,
         obj.type == "textarea") &&
         obj.name != "tot" &&         //  but not from here
         obj.name != "quantity") {
      val = obj.value;                // get the data
      if (val == "" && tst) {         // force an entry
        alert ("Enter data for " + obj.name);
        return false;
      }
      StorVal ();
    }
  }
// Now summarize stuff we just processed, above
  if (op1a.length > 0) obj1.on0.value = op1a;
  if (op1b.length > 0) obj1.os0.value = op1b;
  if (op2a.length > 0) obj1.on1.value = op2a;
  if (op2b.length > 0) obj1.os1.value = op2b;
  if (itmn.length > 0) obj1.item_number.value = itmn;
  obj1.item_name.value = des;
  obj1.amount.value = Dollar (amt);
  if (obj1.tot) obj1.tot.value = "$" + Dollar (amt);
}
function TallyIt (obj1) {  // process un-named selects
            var i,obj,pos,tot=0,txt="";
              for (i=0; i<obj1.length; i++) {     // run entire form
             obj = obj1.elements[i];           // a form element
             if (obj.type == "select-one" &&   // what sort is it
              obj.name == "") {             // must be un-named
               pos = obj.selectedIndex;        // which option selected
               tot = tot + obj.options[pos].value*1.00;    // price mod
               txt = txt + " +" + obj.options[pos].text;  // and text
                   }
              }

              obj1.amount.value = Dollar ( tot + amt);

            }
-->
</script>
<!--//End JavaScript for Mod-->

<!--Start Form Block for purchase options -->
<!--// Display image storyline-->

<table  align="center"  width="{Width}">
	<tr >
       	<td>
        	<Fieldset><Legend><b><big><big>Purchase with confidence</big></big></b> </Legend>
            	<blockquote><div align="justify"  >  <FONT size=-1>
                    <p><b><big><i>$pic_title</i></big></b>, (<i>file ref: $pic_id</i>) $caption
                    <i>$pic_title</i> is part of our popular $breadcrumb collection and is available
                    in open, limited, and custom editions. Generally, open editions are smaller prints
                    or poster (lithograph) prints which are available in unlimited quantities.
                    Regardless of size, all of our giclee prints are made one-at-a-time to provide you
                    with the best possible image quality and workmanship.
                    All prints come with a money back guarantee. See our guarantees below.</p>
                 	</FONT>
                </blockquote></Fieldset>
         </td>
     </tr>
</table>
<!--// END image storyline-->

<!--// START purchase FORM block -->
    <form action="https://www.paypal.com/cgi-bin/webscr" method="post"
		onsubmit="this.target = 'paypal';
    		      return ReadForm(this, true);">
		<input type="hidden" name="cmd" value="_cart" />
		<input type="hidden" name="add" value="1" />
		<input type="hidden" name="business" value="$paypal_ID" />
		<input type="hidden" name="item_name" value="" />
		<input type="hidden" name="amount" value="" />
		<input type="hidden" name="currency_code" value="$currency_code" />
		<input type="hidden" name="basedes" value="Title: $pic_title, Ref#: $pic_id " />
		<input type="hidden" name="baseon0" value="" />
		<input type="hidden" name="baseon1" value="" />
 		<input type="hidden" name="baseon2" value="" />
		<input type="hidden" name="baseon3" value="" />
		<input type="hidden" name="baseitn" value="" />
		<input type="hidden" name="item_number" value="$pid" />

<!--//START 1st Dropdown List for Form -->
<table  align="center" width="80%" class="tableb">
	<tr >
       	<td>

 <Fieldset><Legend>
    	<FONT size="4">Customize your order here</font></Legend>
			<blockquote><blockquote>
		<FONT size="2"><b>1. Select print and  mat size</b></font>
			<blockquote>
              <SELECT onchange="ReadForm (this.form, false);">
                    <OPTION value='$Option1'>		  $Desc1</OPTION>
                    <OPTION value='$Option2'>         $Desc2</OPTION>
                    <OPTION value='$Option3' selected>		  $Desc3</OPTION>
  					<OPTION value='$Option4'>         $Desc4</OPTION>
                    <OPTION value='$Option5'>         $Desc5</OPTION>
                    <OPTION value='$Option6'>         $Desc6</OPTION>
                    <OPTION value='$Option7'>         $Desc7</OPTION>
                    <OPTION value='$Option8'>         $Desc8</OPTION>
  					<OPTION value='$Option9'>         $Desc9</OPTION>
                    <OPTION value='$Option10'>        $Desc10</OPTION>
              </SELECT></blockquote>
<!--//END 1st Dropdown List Form -->

<!--//START Radio Buttons-->
			  <FONT size="2"><b>2. Select print medium</b></font>
 			  <blockquote>                                                          <!--//paypal values        //what user sees -->
  			  <INPUT onclick="ReadForm (this.form, false);" type=radio CHECKED  value=	"Media: Glossy"   name=r1> Glossy
  									<BR />
  			  <INPUT onclick="ReadForm (this.form, false);" type=radio value=			"Media: Pearl %2" name=r1> Pearl (+ 2%)
  									<BR />
  			  <INPUT onclick="ReadForm (this.form, false);" type=radio value=			"Media: Matte %5" name=r1> Matte (+ 5%)   <!--//adds 5% to cost of first dropdown list. Percent (%) goes before the number in the first half of the code with no +/- symbols  -->
              </blockquote>

<!--//END Radio Buttons-->

<!--//START 2nd Dropdown List Form -->
			  <FONT size="2"><b>3. Select Print Type</b></font>
			  <blockquote>
              <SELECT onchange="ReadForm (this.form, false);">
                                  // values for paypal                  //what your user sees
              		<OPTION value=' Print type: Color Print ' selected> Color Print </OPTION>
                    <OPTION value=' Print type: Black & White +1.00 '> 	Black & White (+ $1.00)</OPTION>
  					<OPTION value=' Print type: Sepia +1.00 '> 			Sepia (+ $1.00)</OPTION>
              </SELECT> </blockquote>

<!--//END 2nd Dropdown List Form -->

<!--//START 3rd Dropdown List Form -->
        		<FONT size="2"><b>4. Select Mat Color</b></font>
			  	<blockquote>
				<select>          //paypal values          //what your user sees
  					<option value="Mat: Snow" select>		Snow (White Mat)   		</option>
                    <option value="Mat: Snow">				Ivory (Beige Mat) 		</option>
  				    <option value="Mat: Jaybird Blue">		Jaybird Blue (Almost Navy)</option>
                    <option value="Mat: Midnight Black">	Midnight Black			</option>
				</select> </blockquote>

<!--//END 3rd Dropdown List Form -->

<!--//START 4th dropdown list Form-->
        		<FONT size="2"><b>5. Decorative Mat Overlay</b></font> (Optional, Double Matting)
			  	<blockquote>
                    <select>  //  paypal values                   //what the user sees
                    <option value=""select>						No, thank you.  </option>
  					<option value="Overlay: Snow   %10">		Snow (+ 10%) </option>
  					<option value="Overlay: Ivory  %10">		Ivory (+ 10%) </option>
  					<option value="Overlay: Jaybird Blue %10">	Jaybird Blue + 10%</option>
                    <option value="Overlay: Midnight Black %10">Midnight Black (+ 10%)</option>
					</select>   </blockquote>

<!--//END 4th Dropdown list Form -->
<!--//START 5th dropdown list Form-->
        		<FONT size="2"><b>6. Gift Wrap (+$7.50)</b></font> (Includes greeting card of picture)
			  	<blockquote>
                    <select>   // read paypal values            // what the user sees
                       	<option value=""select>					No, thank you.  </option>
  						<option value="Wrap: Birthday +7.50">	Birthday 		</option>
  						<option value="Wrap: Anniversary +7.50">Anniversary 	</option>
  						<option value="Wrap: Christmas +7.50">	Christmas  		</option>
                        <option value="Wrap: Thank You +7.50">	Thank You		</option>
                        <option value="Wrap: Friendship +7.50">	Friendship		</option>
                        <option value="Wrap: Apologies +7.50">	Apologies		</option>
						</select>   </blockquote>
					   </blockquote></blockquote></fieldset>
       </td>
      </tr>
   </table>
<!--//END 5th dropdown list-->

<!--//START Order Now process -->
     <table align = "center">
          <tr columnspan="3">

                <td >
	                   <input type="submit" value="Place Order" border="0" name="Order Now!"
    	                      onclick = "TallyIt (this.form);">
                       <input type="hidden" name="add" value="1">
                       &nbsp;
                </td>
                <td>
                       <input type    = "button" value   = "Reset Form"
                               onclick = "this.form.reset ();" />
                </td>
    </form>
<!--//END Order Now process -->
<!--//START view cart Form -->
		   <form action="https://www.paypal.com/cgi-bin/webscr" method="post" id="viewcart" name="viewcart">
      				   <input type="hidden" name="cmd" value="_cart" />
      				   <input type="hidden" name="display" value="1" />
      				   <input type="hidden" name="business" value="$paypal_ID" />
  		   </form>
            	<td> &nbsp; &nbsp;
                		<input type="submit" value="View Purchases" border="0" name="View Cart"
  						onclick="document.forms.viewcart.target = 'paypal';
           						 document.forms.viewcart.submit ();
           						 return false;" />
                </td>
     	 </tr>
     </table>

<!-- //End of the viewcart FORM -->
<br />
                <div align="center"><a href="displayimage.php?album=$album2&amp;pos=$pos#"><b>Return to Browse Mode</b></div></a> <br /> <br />
  <hr width="50%">


              <table  align="center" width="90%">   <br />
                       <div align="center"  >  <FONT size=+2>Your Satisfaction is Guaranteed</FONT> <br />
                       </div>

               </table>

  <table width="90%" align="center">
   <td width = "100%" align="left">
  	 <tr>   </br>
            <H2>About Our Prints</H2>
            <UL>
            <LI><FONT size=+1><B>Payment: &nbsp;</B></FONT>We accept checks, money orders, and all major credit cards via Paypal.
            All questions are welcome (<A href="http://www.artistsinhawaii.com/contact.html?warning=no">contact
            us</A>). For each order, we email you personally with a shipping date,
            and other shipping details. If you do not receive an email from us,
            this probably means that we are on the road and have not
            received your order, yet.  We ask for your patience.</li>

              <LI><FONT size=+1><B>Delivery: &nbsp;</B></FONT> Our prints are made to
              order, one at a time. When the photographer is not on the road,
              delivery takes about two weeks for smaller prints, and up to
              three weeks for larger prints since these often require custom
              matting and frames. If you have specific needs not mentioned here,
              please do not hesitate to contact us. All items are
              shipped via US Postal Services priority and are fully insured.
              Express shipment of orders are also possible at an additional charge.

              <LI><FONT size=+1><B>Other options: &nbsp;</B></FONT> Other sizes, up to
              44 by 96 inches, are available by special order. We can also print
              any image in Black and White, as well as print on fine art
              materials such as watercolor paper or canvas, or on super-glossy
              polyester-based papers. </LI>

               <div align="justify">
              <LI><FONT size=+1><B>Quality: &nbsp;</B></FONT> These museum-grade prints
              on archival paper are created with state-of-the-art techniques that are
              widely recognized as the finest available today. They exhibit
              superior sharpness and color, and are expected to last a hundred years
              on display before any noticeable fading occurs. Due to user operating
              system and screen differences, and often more sophisticated image
              preparation for actual image printing, there might be some slight color and
              lightness variations between the image you see on the web and the
              print. As such, we offer you the following guarantees.

              <LI><FONT size=+1><B>Guarantees: &nbsp;</B></FONT> We individually
              inspect each print and are so confident that you will be pleased
              with the quality that we offer the following guarantees:
              <OL>
                <LI><B>100% money back guarantee</B>: We recognize the fact that you
                have not seen the actual print prior to your purchase. So, we offer an
                unconditional full refund for any print returned in new
                condition within a month from the day you received the work or works.
                <LI><B>Replacement guarantee</B>: We take all the necessary
                precautions so that your photograph will not be damaged during
                shipping, and have shipped hundreds of prints without problems.
                There is simply no shipping risk to you: all shipments are insured and
                we will replace at no charge any print that has been damaged in transit.
                <LI><B>Lifetime fade-free guarantee</B>: We are so confident in
                the archival qualities of our materials that we will replace at no
                charge any prints which have faded during the lifetime of the
                original owner. </LI></OL>

              <LI><FONT size=+1><B>Limited editions: &nbsp;</B></FONT> Unless marked
              [open edition], all prints larger than 13x19 are limited editions.
              Limited edition prints are a series of prints issued in a fixed number, where
              each print is sequentially numbered. For instance, for 24x36 prints, the numbering
              that will be inscribed by hand is 1/100, 2/100, etc.. until the print
              100/100 is reached, after which no more prints will ever be made in
              that size. Our low number of prints is your assurance that your investment is
              collectible and will increase in value over time. The larger the print,
              the smaller the edition size.
              </div></LI></UL>

       </TR>
       </td>
       </TABLE>


        	<div align="center">              <br /> <br />
			<!--If your server supports the first "Return to Previous Page" option delete the second.-->
            	<a href="javascript:history.back()"><b>Return to Previous Page</b></a>
          	    <br /> <br />
                <div align="center"><a href="displayimage.php?album=$album2&amp;pos=$pos#"><b>Return to Browse Mode</b></div></a> <br /> <br />


       		</div>

EOT;
//END PAYPAL MOD


    pagefooter();
    ob_end_flush();

?>